apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    client.knative.dev/updateTimestamp: "2023-05-15T13:32:07Z"
    client.knative.dev/user-image: quay.io/openshift-knative/helloworld-go:multiarch
    deployment.kubernetes.io/revision: "1"
    serving.knative.dev/creator: kube:admin
  creationTimestamp: "2023-05-15T13:32:10Z"
  generation: 2
  labels:
    app: hello2-00001
    serving.knative.dev/configuration: hello2
    serving.knative.dev/configurationGeneration: "1"
    serving.knative.dev/configurationUID: e45e3b56-d413-4d45-89b2-e6e25706e3ee
    serving.knative.dev/revision: hello2-00001
    serving.knative.dev/revisionUID: 4f6ec5c0-9bab-44a4-a8e5-8139961dcc48
    serving.knative.dev/service: hello2
    serving.knative.dev/serviceUID: 9f4d9e04-f04d-4728-a2ec-b82d689e327e
  name: hello2-00001-deployment
  namespace: test3
  ownerReferences:
  - apiVersion: serving.knative.dev/v1
    blockOwnerDeletion: true
    controller: true
    kind: Revision
    name: hello2-00001
    uid: 4f6ec5c0-9bab-44a4-a8e5-8139961dcc48
  resourceVersion: "555664"
  uid: f64caa5a-aca0-4d13-bbd6-0d3fbd0f2ccf
spec:
  progressDeadlineSeconds: 600
  replicas: 0
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      serving.knative.dev/revisionUID: 4f6ec5c0-9bab-44a4-a8e5-8139961dcc48
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 0
    type: RollingUpdate
  template:
    metadata:
      annotations:
        client.knative.dev/updateTimestamp: "2023-05-15T13:32:07Z"
        client.knative.dev/user-image: quay.io/openshift-knative/helloworld-go:multiarch
        serving.knative.dev/creator: kube:admin
      creationTimestamp: null
      labels:
        app: hello2-00001
        serving.knative.dev/configuration: hello2
        serving.knative.dev/configurationGeneration: "1"
        serving.knative.dev/configurationUID: e45e3b56-d413-4d45-89b2-e6e25706e3ee
        serving.knative.dev/revision: hello2-00001
        serving.knative.dev/revisionUID: 4f6ec5c0-9bab-44a4-a8e5-8139961dcc48
        serving.knative.dev/service: hello2
        serving.knative.dev/serviceUID: 9f4d9e04-f04d-4728-a2ec-b82d689e327e
    spec:
      containers:
      - env:
        - name: PORT
          value: "8080"
        - name: K_REVISION
          value: hello2-00001
        - name: K_CONFIGURATION
          value: hello2
        - name: K_SERVICE
          value: hello2
        image: quay.io/openshift-knative/helloworld-go@sha256:9ef427349a122601c43f5ff22519d311c1e0ef2c95895e13033069084db152d8
        imagePullPolicy: IfNotPresent
        lifecycle:
          preStop:
            httpGet:
              path: /wait-for-drain
              port: 8022
              scheme: HTTP
        name: user-container
        ports:
        - containerPort: 8080
          name: user-port
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: FallbackToLogsOnError
      - env:
        - name: SERVING_NAMESPACE
          value: test3
        - name: SERVING_SERVICE
          value: hello2
        - name: SERVING_CONFIGURATION
          value: hello2
        - name: SERVING_REVISION
          value: hello2-00001
        - name: QUEUE_SERVING_PORT
          value: "8012"
        - name: QUEUE_SERVING_TLS_PORT
          value: "8112"
        - name: CONTAINER_CONCURRENCY
          value: "0"
        - name: REVISION_TIMEOUT_SECONDS
          value: "300"
        - name: REVISION_RESPONSE_START_TIMEOUT_SECONDS
          value: "0"
        - name: REVISION_IDLE_TIMEOUT_SECONDS
          value: "0"
        - name: SERVING_POD
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
        - name: SERVING_POD_IP
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: status.podIP
        - name: SERVING_LOGGING_CONFIG
        - name: SERVING_LOGGING_LEVEL
        - name: SERVING_REQUEST_LOG_TEMPLATE
          value: '{"httpRequest": {"requestMethod": "{{.Request.Method}}", "requestUrl":
            "{{js .Request.RequestURI}}", "requestSize": "{{.Request.ContentLength}}",
            "status": {{.Response.Code}}, "responseSize": "{{.Response.Size}}", "userAgent":
            "{{js .Request.UserAgent}}", "remoteIp": "{{js .Request.RemoteAddr}}",
            "serverIp": "{{.Revision.PodIP}}", "referer": "{{js .Request.Referer}}",
            "latency": "{{.Response.Latency}}s", "protocol": "{{.Request.Proto}}"},
            "traceId": "{{index .Request.Header "X-B3-Traceid"}}"}'
        - name: SERVING_ENABLE_REQUEST_LOG
          value: "false"
        - name: SERVING_REQUEST_METRICS_BACKEND
          value: prometheus
        - name: TRACING_CONFIG_BACKEND
          value: none
        - name: TRACING_CONFIG_ZIPKIN_ENDPOINT
        - name: TRACING_CONFIG_DEBUG
          value: "false"
        - name: TRACING_CONFIG_SAMPLE_RATE
          value: "0.1"
        - name: USER_PORT
          value: "8080"
        - name: SYSTEM_NAMESPACE
          value: knative-serving
        - name: METRICS_DOMAIN
          value: knative.dev/internal/serving
        - name: SERVING_READINESS_PROBE
          value: '{"tcpSocket":{"port":8080,"host":"127.0.0.1"},"successThreshold":1}'
        - name: ENABLE_PROFILING
          value: "false"
        - name: SERVING_ENABLE_PROBE_REQUEST_LOG
          value: "false"
        - name: METRICS_COLLECTOR_ADDRESS
        - name: CONCURRENCY_STATE_ENDPOINT
        - name: CONCURRENCY_STATE_TOKEN_PATH
          value: /var/run/secrets/tokens/state-token
        - name: HOST_IP
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: status.hostIP
        - name: ENABLE_HTTP2_AUTO_DETECTION
          value: "false"
        image: registry.redhat.io/openshift-serverless-1/serving-queue-rhel8@sha256:7ee456ee7934738cca44e15aeeb33f3221d049bd91b5f807bb522c60101afd0a
        imagePullPolicy: IfNotPresent
        name: queue-proxy
        ports:
        - containerPort: 8022
          name: http-queueadm
          protocol: TCP
        - containerPort: 9090
          name: http-autometric
          protocol: TCP
        - containerPort: 9091
          name: http-usermetric
          protocol: TCP
        - containerPort: 8012
          name: queue-port
          protocol: TCP
        - containerPort: 8112
          name: https-port
          protocol: TCP
        readinessProbe:
          failureThreshold: 3
          httpGet:
            httpHeaders:
            - name: K-Network-Probe
              value: queue
            path: /
            port: 8012
            scheme: HTTP
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources:
          requests:
            cpu: 25m
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
          readOnlyRootFilesystem: true
          runAsNonRoot: true
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      enableServiceLinks: false
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 300
status:
  conditions:
  - lastTransitionTime: "2023-05-15T13:32:34Z"
    lastUpdateTime: "2023-05-15T13:32:34Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  - lastTransitionTime: "2023-05-15T13:32:10Z"
    lastUpdateTime: "2023-05-15T13:32:34Z"
    message: ReplicaSet "hello2-00001-deployment-7859c98885" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  observedGeneration: 2
---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    client.knative.dev/updateTimestamp: "2023-05-15T13:32:07Z"
    client.knative.dev/user-image: quay.io/openshift-knative/helloworld-go:multiarch
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.129.2.106"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted-v2
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
    serving.knative.dev/creator: kube:admin
  creationTimestamp: "2023-05-15T13:35:28Z"
  generateName: hello2-00001-deployment-7859c98885-
  labels:
    app: hello2-00001
    pod-template-hash: 7859c98885
    serving.knative.dev/configuration: hello2
    serving.knative.dev/configurationGeneration: "1"
    serving.knative.dev/configurationUID: e45e3b56-d413-4d45-89b2-e6e25706e3ee
    serving.knative.dev/revision: hello2-00001
    serving.knative.dev/revisionUID: 4f6ec5c0-9bab-44a4-a8e5-8139961dcc48
    serving.knative.dev/service: hello2
    serving.knative.dev/serviceUID: 9f4d9e04-f04d-4728-a2ec-b82d689e327e
  name: hello2-00001-deployment-7859c98885-zz6t4
  namespace: test3
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: hello2-00001-deployment-7859c98885
    uid: c8a45d42-5e52-46ac-b8dd-fbecbd643785
  resourceVersion: "557023"
  uid: 166c8ef1-9ed3-4ed3-b50e-5409ff931f9c
spec:
  containers:
  - env:
    - name: PORT
      value: "8080"
    - name: K_REVISION
      value: hello2-00001
    - name: K_CONFIGURATION
      value: hello2
    - name: K_SERVICE
      value: hello2
    image: quay.io/openshift-knative/helloworld-go@sha256:9ef427349a122601c43f5ff22519d311c1e0ef2c95895e13033069084db152d8
    imagePullPolicy: IfNotPresent
    lifecycle:
      preStop:
        httpGet:
          path: /wait-for-drain
          port: 8022
          scheme: HTTP
    name: user-container
    ports:
    - containerPort: 8080
      name: user-port
      protocol: TCP
    resources: {}
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      runAsNonRoot: true
      runAsUser: 1000940000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-w8z4q
      readOnly: true
  - env:
    - name: SERVING_NAMESPACE
      value: test3
    - name: SERVING_SERVICE
      value: hello2
    - name: SERVING_CONFIGURATION
      value: hello2
    - name: SERVING_REVISION
      value: hello2-00001
    - name: QUEUE_SERVING_PORT
      value: "8012"
    - name: QUEUE_SERVING_TLS_PORT
      value: "8112"
    - name: CONTAINER_CONCURRENCY
      value: "0"
    - name: REVISION_TIMEOUT_SECONDS
      value: "300"
    - name: REVISION_RESPONSE_START_TIMEOUT_SECONDS
      value: "0"
    - name: REVISION_IDLE_TIMEOUT_SECONDS
      value: "0"
    - name: SERVING_POD
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: SERVING_POD_IP
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.podIP
    - name: SERVING_LOGGING_CONFIG
    - name: SERVING_LOGGING_LEVEL
    - name: SERVING_REQUEST_LOG_TEMPLATE
      value: '{"httpRequest": {"requestMethod": "{{.Request.Method}}", "requestUrl":
        "{{js .Request.RequestURI}}", "requestSize": "{{.Request.ContentLength}}",
        "status": {{.Response.Code}}, "responseSize": "{{.Response.Size}}", "userAgent":
        "{{js .Request.UserAgent}}", "remoteIp": "{{js .Request.RemoteAddr}}", "serverIp":
        "{{.Revision.PodIP}}", "referer": "{{js .Request.Referer}}", "latency": "{{.Response.Latency}}s",
        "protocol": "{{.Request.Proto}}"}, "traceId": "{{index .Request.Header "X-B3-Traceid"}}"}'
    - name: SERVING_ENABLE_REQUEST_LOG
      value: "false"
    - name: SERVING_REQUEST_METRICS_BACKEND
      value: prometheus
    - name: TRACING_CONFIG_BACKEND
      value: none
    - name: TRACING_CONFIG_ZIPKIN_ENDPOINT
    - name: TRACING_CONFIG_DEBUG
      value: "false"
    - name: TRACING_CONFIG_SAMPLE_RATE
      value: "0.1"
    - name: USER_PORT
      value: "8080"
    - name: SYSTEM_NAMESPACE
      value: knative-serving
    - name: METRICS_DOMAIN
      value: knative.dev/internal/serving
    - name: SERVING_READINESS_PROBE
      value: '{"tcpSocket":{"port":8080,"host":"127.0.0.1"},"successThreshold":1}'
    - name: ENABLE_PROFILING
      value: "false"
    - name: SERVING_ENABLE_PROBE_REQUEST_LOG
      value: "false"
    - name: METRICS_COLLECTOR_ADDRESS
    - name: CONCURRENCY_STATE_ENDPOINT
    - name: CONCURRENCY_STATE_TOKEN_PATH
      value: /var/run/secrets/tokens/state-token
    - name: HOST_IP
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.hostIP
    - name: ENABLE_HTTP2_AUTO_DETECTION
      value: "false"
    image: registry.redhat.io/openshift-serverless-1/serving-queue-rhel8@sha256:7ee456ee7934738cca44e15aeeb33f3221d049bd91b5f807bb522c60101afd0a
    imagePullPolicy: IfNotPresent
    name: queue-proxy
    ports:
    - containerPort: 8022
      name: http-queueadm
      protocol: TCP
    - containerPort: 9090
      name: http-autometric
      protocol: TCP
    - containerPort: 9091
      name: http-usermetric
      protocol: TCP
    - containerPort: 8012
      name: queue-port
      protocol: TCP
    - containerPort: 8112
      name: https-port
      protocol: TCP
    readinessProbe:
      failureThreshold: 3
      httpGet:
        httpHeaders:
        - name: K-Network-Probe
          value: queue
        path: /
        port: 8012
        scheme: HTTP
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 1
    resources:
      requests:
        cpu: 25m
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      readOnlyRootFilesystem: true
      runAsNonRoot: true
      runAsUser: 1000940000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-w8z4q
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: false
  imagePullSecrets:
  - name: default-dockercfg-hhs22
  nodeName: mgencur-420-pvnc2-worker-0-d2bnt
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000940000
    seLinuxOptions:
      level: s0:c31,c5
    seccompProfile:
      type: RuntimeDefault
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 300
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: kube-api-access-w8z4q
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2023-05-15T13:35:28Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2023-05-15T13:35:33Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2023-05-15T13:35:33Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2023-05-15T13:35:28Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://6e761ed79d6669c917d67154bba9ef2d2f2025dc9e0b4c66dde5d84419123261
    image: registry.redhat.io/openshift-serverless-1/serving-queue-rhel8@sha256:7ee456ee7934738cca44e15aeeb33f3221d049bd91b5f807bb522c60101afd0a
    imageID: registry.redhat.io/openshift-serverless-1/serving-queue-rhel8@sha256:7ee456ee7934738cca44e15aeeb33f3221d049bd91b5f807bb522c60101afd0a
    lastState: {}
    name: queue-proxy
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2023-05-15T13:35:31Z"
  - containerID: cri-o://8a5420b78b3b0711014d30cdbe5a0713c41cb0a81fdcd257ea6ebb83ac99ec96
    image: quay.io/openshift-knative/helloworld-go@sha256:9ef427349a122601c43f5ff22519d311c1e0ef2c95895e13033069084db152d8
    imageID: quay.io/openshift-knative/helloworld-go@sha256:93ba37836ad620ab60f935293b4e271ab6c9386cdad497387415eed639735a40
    lastState: {}
    name: user-container
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2023-05-15T13:35:31Z"
  hostIP: 192.168.2.20
  phase: Running
  podIP: 10.129.2.106
  podIPs:
  - ip: 10.129.2.106
  qosClass: Burstable
  startTime: "2023-05-15T13:35:28Z"
